接続の取得
/ic/api/integration/v1/connections
リクエスト
- application/json; charset=utf-8
- expand: string
アダプタに関する追加詳細がレスポンスに含まれています。 有効な値: adapter
- limit: integer(int32)
返される結果のページ区切りには、オフセット・パラメータを使用します。 この制限は、一度に返すアイテムの最大数です。 たとえば、offset=3&limit=16は、4アイテムから始まる接続をリストすること、および16アイテムがリストに含まれることを示します。
- offset: integer(int32)
戻される結果のページ区切りには、制限パラメータを使用します。 オフセットは、レコードを返す開始ポイントです。 たとえば、offset=3&limit=16は、4アイテムから始まる接続をリストすること、および16アイテムがリストに含まれることを示します。
- orderBy: string
名前、最終更新時間またはアダプタ・タイプでソートされた接続をリストします。
有効な値:
- name: 接続を接続名順に並替え。 例: orderBy=name.
- time: 最後の更新時間で接続を順序付けします。 例: orderBy=time.
- type: PREINSTALLED、PRIVATEまたはMARKETPLACEのアダプタ・タイプによる接続を順序付けします。 例: orderBy=type
- q: string
名前、ステータスおよびロールで接続をフィルタします。
有効なパラメータ:
- name: 接続の名前。 完全一致または次をサポートします。 たとえば:
- 接続名の完全一致である接続を取得するには、次を指定します:
q={name:'My Connection Name'}. - 接続名に指定した文字列を含むすべての接続を取得するには、次のように指定します:
q={name: /Oracle/}
- 接続名の完全一致である接続を取得するには、次を指定します:
- status: 接続のステータス。 有効な値: CONFIGURED, INPROGRESS. INPROGRESSは、グラフィカル・ユーザー・インタフェースでドラフトとして表示されます。
たとえば、RNを含み、ステータスが構成済であるすべての接続を取得するには、次を指定します:
{name : /RN/, status : 'CONFIGURED'} - role: 接続のロール。
有効な値: SOURCE, SOURCE_AND_TARGET, TARGET. 値は大文字と小文字が区別されます。 グラフィカル・ユーザー・インタフェースで: ソースがトリガーとして表示され、SOURCE_AND_TARGETがトリガーと起動として表示され、TARGETが起動として表示されます。
- name: 接続の名前。 完全一致または次をサポートします。 たとえば:
レスポンス
- application/json; charset=utf-8
- application/vnd.oracle.resource+json;type=collection
200レスポンス
object- adapter: object adapter
- adapterType: object adapterbase
- adminEmail: string
- agentGroupId: string
- agentRequired: boolean
デフォルト値:
false - agentSupported: boolean
デフォルト値:
false - connectionProperties: array connectionProperties
- created: string(date-time)
- createdBy: string
- description: string
- id: string
- keywords: string
- lastRefreshedDate: string(date-time)
- lastUpdated: string(date-time)
- lastUpdatedBy: string
- links: array links
- lockedBy: string
- lockedDate: string(date-time)
- lockedFlag: boolean
デフォルト値:
false - metadataDownloadState: string
許容値:
[ "NOT_STARTED", "IN_PROGRESS", "DOWNLOAD_ERROR", "COMPLETE" ] - metadataDownloadSupportedFlag: boolean
デフォルト値:
false - name: string
- percentageComplete: number
- refreshedStatus: string
- role: string
許容値:
[ "SOURCE", "TARGET", "SOURCE_AND_TARGET" ] - securityPolicy: string
Allowed Values:
[ "BASIC_AUTH", "USERNAME_PASSWORD_TOKEN", "USERNAME_PASSWORD_IGNORE_TIMESTAMP", "OAUTH_CLIENT_CREDENTIALS", "OAUTH_RESOURCE_OWNER_PASSWORD_CREDENTIALS", "SAML", "OAUTH", "CUSTOM", "TEMPLATE_BASED", "TOKEN_BASED", "NONE", "PLUGIN_AUTHORIZATION_CODE_CREDENTIALS", "TIMEOUT_AUTHORIZATION_CODE_CREDENTIALS", "PLUGIN_RESOURCE_OWNER_PASSWORD_CREDENTIALS", "PLUGIN_CLIENT_CREDENTIALS", "MIN_PLUGIN_AUTHORIZATION_CODE_CREDENTIALS", "OAUTH_AUTHORIZATION_CODE_CREDENTIALS", "OAUTH20_AUTHORIZATION_CODE_CREDENTIALS", "CUSTOM_THREE_LEGGED", "CUSTOM_TWO_LEGGED", "CUSTOM_SINGLE_TOKEN", "OAUTH_ONE_TOKEN_BASED", "NETSUITE_TOKEN_BASED", "PAAS_INTEGRATION_USING_OWSM_OAUTH20", "FTP_PUBLIC_KEY_AUTHENTICATION", "FTP_MULTI_LEVEL_AUTHENTICATION", "OAUTH_INBOUND", "AWS_SIGNATURE_VERSION4", "OAUTH2_PRECONFIGURED_CLINET_ID_SECRET", "OAUTH2_CCS_ROP_PRECONFIGURED", "OAUTH2_CCS_ROP", "OAUTH2", "CCS_BASIC_AUTH", "CCS_API_KEY", "JDBC_OVER_SSL", "JDBC_BASIC_AUTH", "FA_OAUTH_AUTHORIZATION_CODE_CREDENTIALS", "FA_OAUTH_RESOURCE_OWNER_PASSWORD_CREDENTIALS", "ORACLE_WALLET", "OCI_SIGNATURE_VERSION1", "SASLPLAIN", "SASLPLAIN_OVER_SSL", "SASLPLAIN_OVER_SSL_OSS", "TLS", "MUTUAL_TLS", "UIPATH_CLOUD", "AS2_ADVANCE_SEC_PROPS", "AS2_BASIC_SEC_PROPS" ] - securityPolicyInfo: array securityPolicyInfo
- securityProperties: array securityProperties
- status: string
- testStatus: boolean
デフォルト値:
false - usage: integer(int32)
- usageActive: integer(int32)
- wsdlListDir: array wsdlListDir
object- customSecurityPolicyDescription: string
- defaultSecurityPolicies: string
- description: string
- displayName: string
- features: string
- genericAuthSupport: array genericAuthSupport
- icons: object adaptericons
- id: string
- infoMessage: string
- integrationRole: string
許容値:
[ "SOURCE", "TARGET", "SOURCE_AND_TARGET" ] - links: array links
- name: string
- oauth3LeggedSupport: array oauth3LeggedSupport
- otherVersions: string
- supportedSecurityPolicies: string
- testKey: string
- testMessage: string
- type: string
- validateAndTestKey: string
- validateAndTestMessage: string
- vendorInfo: object VendorInfo
- version: string
- wsdlvalidation: boolean
デフォルト値:
false
array- Array of: string
Allowed Values:
[ "BASIC_AUTH", "USERNAME_PASSWORD_TOKEN", "USERNAME_PASSWORD_IGNORE_TIMESTAMP", "OAUTH_CLIENT_CREDENTIALS", "OAUTH_RESOURCE_OWNER_PASSWORD_CREDENTIALS", "SAML", "OAUTH", "CUSTOM", "TEMPLATE_BASED", "TOKEN_BASED", "NONE", "PLUGIN_AUTHORIZATION_CODE_CREDENTIALS", "TIMEOUT_AUTHORIZATION_CODE_CREDENTIALS", "PLUGIN_RESOURCE_OWNER_PASSWORD_CREDENTIALS", "PLUGIN_CLIENT_CREDENTIALS", "MIN_PLUGIN_AUTHORIZATION_CODE_CREDENTIALS", "OAUTH_AUTHORIZATION_CODE_CREDENTIALS", "OAUTH20_AUTHORIZATION_CODE_CREDENTIALS", "CUSTOM_THREE_LEGGED", "CUSTOM_TWO_LEGGED", "CUSTOM_SINGLE_TOKEN", "OAUTH_ONE_TOKEN_BASED", "NETSUITE_TOKEN_BASED", "PAAS_INTEGRATION_USING_OWSM_OAUTH20", "FTP_PUBLIC_KEY_AUTHENTICATION", "FTP_MULTI_LEVEL_AUTHENTICATION", "OAUTH_INBOUND", "AWS_SIGNATURE_VERSION4", "OAUTH2_PRECONFIGURED_CLINET_ID_SECRET", "OAUTH2_CCS_ROP_PRECONFIGURED", "OAUTH2_CCS_ROP", "OAUTH2", "CCS_BASIC_AUTH", "CCS_API_KEY", "JDBC_OVER_SSL", "JDBC_BASIC_AUTH", "FA_OAUTH_AUTHORIZATION_CODE_CREDENTIALS", "FA_OAUTH_RESOURCE_OWNER_PASSWORD_CREDENTIALS", "ORACLE_WALLET", "OCI_SIGNATURE_VERSION1", "SASLPLAIN", "SASLPLAIN_OVER_SSL", "SASLPLAIN_OVER_SSL_OSS", "TLS", "MUTUAL_TLS", "UIPATH_CLOUD", "AS2_ADVANCE_SEC_PROPS", "AS2_BASIC_SEC_PROPS" ]
array- Array of: string
Allowed Values:
[ "BASIC_AUTH", "USERNAME_PASSWORD_TOKEN", "USERNAME_PASSWORD_IGNORE_TIMESTAMP", "OAUTH_CLIENT_CREDENTIALS", "OAUTH_RESOURCE_OWNER_PASSWORD_CREDENTIALS", "SAML", "OAUTH", "CUSTOM", "TEMPLATE_BASED", "TOKEN_BASED", "NONE", "PLUGIN_AUTHORIZATION_CODE_CREDENTIALS", "TIMEOUT_AUTHORIZATION_CODE_CREDENTIALS", "PLUGIN_RESOURCE_OWNER_PASSWORD_CREDENTIALS", "PLUGIN_CLIENT_CREDENTIALS", "MIN_PLUGIN_AUTHORIZATION_CODE_CREDENTIALS", "OAUTH_AUTHORIZATION_CODE_CREDENTIALS", "OAUTH20_AUTHORIZATION_CODE_CREDENTIALS", "CUSTOM_THREE_LEGGED", "CUSTOM_TWO_LEGGED", "CUSTOM_SINGLE_TOKEN", "OAUTH_ONE_TOKEN_BASED", "NETSUITE_TOKEN_BASED", "PAAS_INTEGRATION_USING_OWSM_OAUTH20", "FTP_PUBLIC_KEY_AUTHENTICATION", "FTP_MULTI_LEVEL_AUTHENTICATION", "OAUTH_INBOUND", "AWS_SIGNATURE_VERSION4", "OAUTH2_PRECONFIGURED_CLINET_ID_SECRET", "OAUTH2_CCS_ROP_PRECONFIGURED", "OAUTH2_CCS_ROP", "OAUTH2", "CCS_BASIC_AUTH", "CCS_API_KEY", "JDBC_OVER_SSL", "JDBC_BASIC_AUTH", "FA_OAUTH_AUTHORIZATION_CODE_CREDENTIALS", "FA_OAUTH_RESOURCE_OWNER_PASSWORD_CREDENTIALS", "ORACLE_WALLET", "OCI_SIGNATURE_VERSION1", "SASLPLAIN", "SASLPLAIN_OVER_SSL", "SASLPLAIN_OVER_SSL_OSS", "TLS", "MUTUAL_TLS", "UIPATH_CLOUD", "AS2_ADVANCE_SEC_PROPS", "AS2_BASIC_SEC_PROPS" ]
object- acceptableKeys: array acceptableKeys
- attachment: object ConnectionAttachmentRs
- displayName: string
- hasAttachment: boolean
デフォルト値:
false - hiddenFlag: boolean
- integrationRole: string
許容値:
[ "SOURCE", "TARGET", "SOURCE_AND_TARGET" ] - propertyDescription: string
- propertyGroup: string
許容値:
[ "CREDENTIALS", "SOURCE_ARTIFACTS", "CONNECTION_PROPS", "CUSTOM", "OTHER" ] - propertyName: string
- propertyShortDesc: string
- propertyType: string
許容値:
[ "STRING", "NUMBER", "URL", "WSDL_URL", "XSD_URL", "WADL_URL", "FILE", "PASSWORD", "URL_OR_FILE", "LIST", "MAP", "TEXT", "CHOICE", "BOOLEAN", "ARTIFACT_URL", "LIST_OF_MAPS", "CONCRETE_WSDL" ] - propertyValue: string
- requiredFlag: boolean
デフォルト値:
false
object- displayName: string
- keyName: string
- scope: string
許容値:
[ "SOURCE", "TARGET", "SOURCE_AND_TARGET" ]
object- securityPolicy: string
Allowed Values:
[ "BASIC_AUTH", "USERNAME_PASSWORD_TOKEN", "USERNAME_PASSWORD_IGNORE_TIMESTAMP", "OAUTH_CLIENT_CREDENTIALS", "OAUTH_RESOURCE_OWNER_PASSWORD_CREDENTIALS", "SAML", "OAUTH", "CUSTOM", "TEMPLATE_BASED", "TOKEN_BASED", "NONE", "PLUGIN_AUTHORIZATION_CODE_CREDENTIALS", "TIMEOUT_AUTHORIZATION_CODE_CREDENTIALS", "PLUGIN_RESOURCE_OWNER_PASSWORD_CREDENTIALS", "PLUGIN_CLIENT_CREDENTIALS", "MIN_PLUGIN_AUTHORIZATION_CODE_CREDENTIALS", "OAUTH_AUTHORIZATION_CODE_CREDENTIALS", "OAUTH20_AUTHORIZATION_CODE_CREDENTIALS", "CUSTOM_THREE_LEGGED", "CUSTOM_TWO_LEGGED", "CUSTOM_SINGLE_TOKEN", "OAUTH_ONE_TOKEN_BASED", "NETSUITE_TOKEN_BASED", "PAAS_INTEGRATION_USING_OWSM_OAUTH20", "FTP_PUBLIC_KEY_AUTHENTICATION", "FTP_MULTI_LEVEL_AUTHENTICATION", "OAUTH_INBOUND", "AWS_SIGNATURE_VERSION4", "OAUTH2_PRECONFIGURED_CLINET_ID_SECRET", "OAUTH2_CCS_ROP_PRECONFIGURED", "OAUTH2_CCS_ROP", "OAUTH2", "CCS_BASIC_AUTH", "CCS_API_KEY", "JDBC_OVER_SSL", "JDBC_BASIC_AUTH", "FA_OAUTH_AUTHORIZATION_CODE_CREDENTIALS", "FA_OAUTH_RESOURCE_OWNER_PASSWORD_CREDENTIALS", "ORACLE_WALLET", "OCI_SIGNATURE_VERSION1", "SASLPLAIN", "SASLPLAIN_OVER_SSL", "SASLPLAIN_OVER_SSL_OSS", "TLS", "MUTUAL_TLS", "UIPATH_CLOUD", "AS2_ADVANCE_SEC_PROPS", "AS2_BASIC_SEC_PROPS" ] - securityProperties: array securityProperties
400レスポンス
500レスポンス
例
次の例では、cURLを使用してRESTリソースに対するGETリクエストを発行することによって、接続の詳細を取得する方法を示しています。 cURLの詳細は、「cURLの使用」を参照してください。 エンドポイントURLの構造の詳細は、「リクエストの送信」を参照してください。
例: RNまたはRNを含み、ステータスがCONFIGUREDである接続のみを取得
curl -G -X GET -H 'Authorization: Bearer access_token' -H "Accept:application/json" --data-urlencode "q={name: /RN/, status: 'CONFIGURED'}" https://integration.us.oraclecloud.com/ic/api/integration/v1/connections例: アダプタの追加詳細を含む接続情報を取得
curl -G -X GET -H 'Authorization: Bearer access_token' -H "Accept:application/json" -d "expand=adapter" https://integration.us.oraclecloud.com/ic/api/integration/v1/connections例: 戻された接続のページ区切り
limitおよびoffsetでページ区切りが行われます。 この例では、4番目のアイテムから始まる接続を一覧表示します。 リストには16アイテムが含まれます。
curl -G -X GET -H 'Authorization: Bearer access_token' -H "Accept:application/json" -d "offset=3&limit=16" https://integration.us.oraclecloud.com/ic/api/integration/v1/connections例: 接続名のアルファベット順に並べられた接続を取得
curl -G -X GET -H 'Authorization: Bearer access_token' -H "Accept:application/json" -d "orderBy=name" https://integration.us.oraclecloud.com/ic/api/integration/v1/connections例: パラメータを組み合せて、接続を取得したり、接続名でソートしたり、結果のページを区切られます。
問合せパラメータを組み合せるには、qで--data-urlencodeオプションを使用します。 その他のパラメータは、-dオプションの後に追加できます。
この例では、大文字または小文字のRNを含む接続を取得し、ステータスがCONFIGUREDです。 結果は、アルファベット順に名前順に表示されます。5アイテムは、返される12番目のアイテムから始まります。 また、各接続のアダプタに関する追加情報も必要です。
curl -G -X GET -H 'Authorization: Bearer access_token' -H "Accept:application/json" --data-urlencode "q={name: /RN/, status: 'CONFIGURED', role: 'TARGET'}" -d "orderBy=name&offset=12&limit=5&expand=adapter" https://integration.us.oraclecloud.com/ic/api/integration/v1/connections例: すべてのコネクションの取得
Request:
curl -X GET -H 'Authorization: Bearer access_token' -H "Accept:application/json" https://integration.us.oraclecloud.com/ic/api/integration/v1/connectionsレスポンス本文:
JSON形式のレスポンス本文のコンテンツの例を次に示します。
{
"items": [
{
"adapterType": {
"displayName": "Google Calendar",
"name": "googlecalendar",
"type": "PREINSTALLED"
},
"id": "GOOGLECAL",
"lastUpdated": "2017-01-25T04:04:36.043+0000",
"lastUpdatedBy": "jstein",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/GOOGLECAL",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/GOOGLECAL",
"rel": "canonical"
}
],
"name": "googleCal",
"percentageComplete": 13,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "SOAP",
"name": "soap",
"type": "PREINSTALLED"
},
"id": "TS",
"lastUpdated": "2017-01-20T23:25:07.657+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/TS",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/TS",
"rel": "canonical"
}
],
"name": "TS",
"percentageComplete": 100,
"status": "CONFIGURED"
},
{
"adapterType": {
"displayName": "SOAP",
"name": "soap",
"type": "PREINSTALLED"
},
"id": "AR",
"lastUpdated": "2017-01-20T22:52:54.613+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/AR",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/AR",
"rel": "canonical"
}
],
"name": "ar",
"percentageComplete": 8,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "SOAP",
"name": "soap",
"type": "PREINSTALLED"
},
"id": "SUPLIERIMPORT",
"lastUpdated": "2017-01-19T18:36:55.261+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/SUPLIERIMPORT",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/SUPLIERIMPORT",
"rel": "canonical"
}
],
"name": "SUplierImport",
"percentageComplete": 85,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "SOAP",
"name": "soap",
"type": "PREINSTALLED"
},
"id": "C_SUP",
"lastUpdated": "2017-01-19T18:36:55.215+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/C_SUP",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/C_SUP",
"rel": "canonical"
}
],
"name": "C_Sup",
"percentageComplete": 8,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "SOAP",
"name": "soap",
"type": "PREINSTALLED"
},
"id": "ESSWEBSERVICE1",
"lastUpdated": "2017-01-19T18:36:43.914+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/ESSWEBSERVICE1",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/ESSWEBSERVICE1",
"rel": "canonical"
}
],
"name": "ESSWebService1",
"percentageComplete": 47,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "MySQL",
"name": "mysqldatabase",
"type": "PREINSTALLED"
},
"id": "MYSQL_ORACLEERP",
"lastUpdated": "2017-01-19T18:36:43.836+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/MYSQL_ORACLEERP",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/MYSQL_ORACLEERP",
"rel": "canonical"
}
],
"name": "MySQL_OracleERP",
"percentageComplete": 8,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "SOAP",
"name": "soap",
"type": "PREINSTALLED"
},
"id": "SOAPADAPTER",
"lastUpdated": "2017-01-15T03:09:24.532+0000",
"lastUpdatedBy": "jstein",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/SOAPADAPTER",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/SOAPADAPTER",
"rel": "canonical"
}
],
"name": "soapAdapter",
"percentageComplete": 8,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "Oracle RightNow",
"name": "rightnow",
"type": "PREINSTALLED"
},
"id": "RN_TEST_NP",
"lastUpdated": "2017-01-12T22:53:09.534+0000",
"lastUpdatedBy": "jstein",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/RN_TEST_NP",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/RN_TEST_NP",
"rel": "canonical"
}
],
"name": "RN_test_NP",
"percentageComplete": 100,
"status": "CONFIGURED"
},
{
"adapterType": {
"displayName": "REST",
"name": "rest",
"type": "PREINSTALLED"
},
"id": "TESTREST",
"lastUpdated": "2017-01-09T17:02:31.650+0000",
"lastUpdatedBy": "jstein",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/TESTREST",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/TESTREST",
"rel": "canonical"
}
],
"name": "testREST",
"percentageComplete": 8,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "Oracle Database",
"name": "database",
"type": "PREINSTALLED"
},
"id": "TESTDB",
"lastUpdated": "2017-01-02T00:05:49.861+0000",
"lastUpdatedBy": "jstein",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/TESTDB",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/TESTDB",
"rel": "canonical"
}
],
"name": "testDB",
"percentageComplete": 8,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "File",
"name": "file",
"type": "PREINSTALLED"
},
"id": "LLLLLLL",
"lastUpdated": "2016-12-31T21:23:01.210+0000",
"lastUpdatedBy": "jstein",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/LLLLLLL",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/LLLLLLL",
"rel": "canonical"
}
],
"name": "lllllll",
"percentageComplete": 33,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "Eloqua",
"name": "eloqua",
"type": "PREINSTALLED"
},
"id": "DY_ELOQUA_CONNECTION",
"lastUpdated": "2016-12-21T17:37:42.752+0000",
"lastUpdatedBy": "jstein",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/DY_ELOQUA_CONNECTION",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/DY_ELOQUA_CONNECTION",
"rel": "canonical"
}
],
"name": "DY_Eloqua connection",
"percentageComplete": 13,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "JD Edwards EnterpriseOne",
"name": "jdeeone",
"type": "PREINSTALLED"
},
"id": "MYJDE",
"lastUpdated": "2016-12-14T23:55:37.572+0000",
"lastUpdatedBy": "jstein",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/MYJDE",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/MYJDE",
"rel": "canonical"
}
],
"name": "MyJDE",
"percentageComplete": 8,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "Oracle Sales Cloud",
"name": "osc",
"type": "PREINSTALLED"
},
"id": "ACME_SALES_CLOUD_INSTAN_1",
"lastUpdated": "2016-12-14T05:12:51.880+0000",
"lastUpdatedBy": "bob.jones@tenant.com",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/ACME_SALES_CLOUD_INSTAN_1",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/ACME_SALES_CLOUD_INSTAN_1",
"rel": "canonical"
}
],
"name": "Acme Sales Cloud Instance 1",
"percentageComplete": 100,
"status": "CONFIGURED"
},
{
"adapterType": {
"displayName": "Oracle Sales Cloud",
"name": "osc",
"type": "PREINSTALLED"
},
"id": "ORACLE_SALES_CLOUD_MY_INSTAN",
"lastUpdated": "2016-12-14T05:09:02.292+0000",
"lastUpdatedBy": "bob.jones@tenant.com",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/ORACLE_SALES_CLOUD_MY_INSTAN",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/ORACLE_SALES_CLOUD_MY_INSTAN",
"rel": "canonical"
}
],
"name": "Oracle Sales Cloud My Instance",
"percentageComplete": 100,
"status": "CONFIGURED"
},
{
"adapterType": {
"displayName": "Oracle RightNow",
"name": "rightnow",
"type": "PREINSTALLED"
},
"id": "ORACLE_RIGHTNOW_MY_INSTANCE",
"lastUpdated": "2016-12-14T01:03:53.023+0000",
"lastUpdatedBy": "jstein",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/ORACLE_RIGHTNOW_MY_INSTANCE",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/ORACLE_RIGHTNOW_MY_INSTANCE",
"rel": "canonical"
}
],
"name": "Oracle RightNow My Instance",
"percentageComplete": 100,
"status": "CONFIGURED"
},
{
"adapterType": {
"displayName": "NetSuite",
"name": "netsuite",
"type": "PREINSTALLED"
},
"id": "ACME_NETSUITE_CONNECTION",
"lastUpdated": "2016-12-14T00:52:55.232+0000",
"lastUpdatedBy": "bob.jones@tenant.com",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/ACME_NETSUITE_CONNECTION",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/ACME_NETSUITE_CONNECTION",
"rel": "canonical"
}
],
"name": "Acme Netsuite Connection",
"percentageComplete": 100,
"status": "CONFIGURED"
},
{
"adapterType": {
"displayName": "Oracle RightNow",
"name": "rightnow",
"type": "PREINSTALLED"
},
"id": "TESTRN",
"lastUpdated": "2016-12-13T18:25:21.354+0000",
"lastUpdatedBy": "jstein",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/TESTRN",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/TESTRN",
"rel": "canonical"
}
],
"name": "testrn",
"percentageComplete": 8,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "SOAP",
"name": "soap",
"type": "PREINSTALLED"
},
"id": "ACME_WEATHER_CONNECTION",
"lastUpdated": "2016-12-13T01:44:51.717+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/ACME_WEATHER_CONNECTION",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/ACME_WEATHER_CONNECTION",
"rel": "canonical"
}
],
"name": "Acme Weather Connection",
"percentageComplete": 100,
"status": "CONFIGURED"
},
{
"adapterType": {
"displayName": "SOAP",
"name": "soap",
"type": "PREINSTALLED"
},
"id": "ACME_SOAP_QUOTE_CONNECTI",
"lastUpdated": "2016-12-13T01:44:50.887+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/ACME_SOAP_QUOTE_CONNECTI",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/ACME_SOAP_QUOTE_CONNECTI",
"rel": "canonical"
}
],
"name": "Acme SOAP Quote Connection",
"percentageComplete": 100,
"status": "CONFIGURED"
},
{
"adapterType": {
"displayName": "SOAP",
"name": "soap",
"type": "PREINSTALLED"
},
"id": "ACME_SOAP_GET_ORGANI_SERVIC",
"lastUpdated": "2016-12-13T01:44:50.424+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/ACME_SOAP_GET_ORGANI_SERVIC",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/ACME_SOAP_GET_ORGANI_SERVIC",
"rel": "canonical"
}
],
"name": "Acme SOAP Get Organization Service",
"percentageComplete": 85,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "Oracle RightNow",
"name": "rightnow",
"type": "PREINSTALLED"
},
"id": "ACME_RIGHTNOW_INSTANCE_1",
"lastUpdated": "2016-12-13T01:44:46.568+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/ACME_RIGHTNOW_INSTANCE_1",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/ACME_RIGHTNOW_INSTANCE_1",
"rel": "canonical"
}
],
"name": "Acme Rightnow Instance 1",
"percentageComplete": 100,
"status": "CONFIGURED"
},
{
"adapterType": {
"displayName": "JD Edwards EnterpriseOne",
"name": "jdeeone",
"type": "PREINSTALLED"
},
"id": "JD_EDWARDS_ENTERPRISE",
"lastUpdated": "2016-12-13T01:44:42.186+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/JD_EDWARDS_ENTERPRISE",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/JD_EDWARDS_ENTERPRISE",
"rel": "canonical"
}
],
"name": "JD Edwards EnterpriseOne",
"percentageComplete": 100,
"status": "CONFIGURED"
},
{
"adapterType": {
"displayName": "FTP",
"name": "ftp",
"type": "PREINSTALLED"
},
"id": "FTP_TEST",
"lastUpdated": "2016-12-13T01:44:41.764+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/FTP_TEST",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/FTP_TEST",
"rel": "canonical"
}
],
"name": "FTP Read-Write Connection",
"percentageComplete": 100,
"status": "CONFIGURED"
},
{
"adapterType": {
"displayName": "Oracle RightNow",
"name": "rightnow",
"type": "PREINSTALLED"
},
"id": "ACME_RIGHT_INSTA___USA",
"lastUpdated": "2016-12-13T01:44:40.203+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/ACME_RIGHT_INSTA___USA",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/ACME_RIGHT_INSTA___USA",
"rel": "canonical"
}
],
"name": "Acme Rightnow Instance - USA",
"percentageComplete": 100,
"status": "CONFIGURED"
},
{
"adapterType": {
"displayName": "Oracle RightNow",
"name": "rightnow",
"type": "PREINSTALLED"
},
"id": "ACME_RIGHT_INSTA___INTER",
"lastUpdated": "2016-12-13T01:44:34.158+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/ACME_RIGHT_INSTA___INTER",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/ACME_RIGHT_INSTA___INTER",
"rel": "canonical"
}
],
"name": "Acme Rightnow Instance - International",
"percentageComplete": 100,
"status": "CONFIGURED"
},
{
"adapterType": {
"displayName": "Google Task",
"name": "googletask",
"type": "PREINSTALLED"
},
"id": "GTASKCONN",
"lastUpdated": "2016-12-13T01:44:27.628+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/GTASKCONN",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/GTASKCONN",
"rel": "canonical"
}
],
"name": "GoogleTask_John_Doe_Connection",
"percentageComplete": 13,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "REST",
"name": "rest",
"type": "PREINSTALLED"
},
"id": "RESTCON",
"lastUpdated": "2016-12-13T01:44:27.600+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/RESTCON",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/RESTCON",
"rel": "canonical"
}
],
"name": "RESTCon",
"percentageComplete": 46,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "Google Task",
"name": "googletask",
"type": "PREINSTALLED"
},
"id": "GTASKCONNECTION",
"lastUpdated": "2016-12-13T01:44:27.539+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/GTASKCONNECTION",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/GTASKCONNECTION",
"rel": "canonical"
}
],
"name": "GoogleTask_JohnDoe_Connection",
"percentageComplete": 13,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "Evernote",
"name": "evernote",
"type": "PREINSTALLED"
},
"id": "EVERNOTE_CONNECTION",
"lastUpdated": "2016-12-13T01:44:27.492+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/EVERNOTE_CONNECTION",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/EVERNOTE_CONNECTION",
"rel": "canonical"
}
],
"name": "Evernote_JohnDoe_Connection",
"percentageComplete": 13,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "REST",
"name": "rest",
"type": "PREINSTALLED"
},
"id": "RESTCONN",
"lastUpdated": "2016-12-13T01:44:27.446+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/RESTCONN",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/RESTCONN",
"rel": "canonical"
}
],
"name": "restConn",
"percentageComplete": 46,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "REST",
"name": "rest",
"type": "PREINSTALLED"
},
"id": "TWITTER_REST_CONN",
"lastUpdated": "2016-12-13T01:44:27.362+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/TWITTER_REST_CONN",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/TWITTER_REST_CONN",
"rel": "canonical"
}
],
"name": "TWITTER_REST_CONN",
"percentageComplete": 46,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "Twitter",
"name": "twitter",
"type": "PREINSTALLED"
},
"id": "TWITTER_CONN",
"lastUpdated": "2016-12-13T01:44:27.317+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/TWITTER_CONN",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/TWITTER_CONN",
"rel": "canonical"
}
],
"name": "Twitter_VisionInc_Connection",
"percentageComplete": 13,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "SOAP",
"name": "soap",
"type": "PREINSTALLED"
},
"id": "FF_SOAP",
"lastUpdated": "2016-12-13T01:44:20.299+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/FF_SOAP",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/FF_SOAP",
"rel": "canonical"
}
],
"name": "FF_SOAP",
"percentageComplete": 47,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "SOAP",
"name": "soap",
"type": "PREINSTALLED"
},
"id": "CCR_CONN",
"lastUpdated": "2016-12-13T01:44:20.262+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/CCR_CONN",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/CCR_CONN",
"rel": "canonical"
}
],
"name": "CCR_CONN",
"percentageComplete": 47,
"status": "INPROGRESS"
},
{
"adapterType": {
"displayName": "SOAP",
"name": "soap",
"type": "PREINSTALLED"
},
"id": "CALCULATOR",
"lastUpdated": "2016-12-13T01:44:20.222+0000",
"lastUpdatedBy": "icsdeveloper",
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/CALCULATOR",
"rel": "self"
},
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections/CALCULATOR",
"rel": "canonical"
}
],
"name": "CALCULATOR",
"percentageComplete": 47,
"status": "INPROGRESS"
}
],
"links": [
{
"href": "https://integration.us.oraclecloud.com/ic/api/integration/v1/connections",
"rel": "self"
}
],
"totalResults": 40
}